Skip to main content
Api

Enrichment

Enrich a person (cost-ordered vendor waterfall)

POST
/enrichment/person
AuthorizationBearer <token>

API key issued to a Sonzai project. Format: Bearer sk_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://loading/api/v1/enrichment/person" \  -H "Content-Type: application/json" \  -d '{}'
{
  "$schema": "/api/v1/schemas/EnrichPersonOutputBody.json",
  "cache_hit": true,
  "contact": {
    "confidence": "string",
    "credits_used": 0,
    "emails": [
      {
        "e164": "string",
        "type": "string",
        "value": "string",
        "verified": true
      }
    ],
    "ph_resolved": true,
    "phones": [
      {
        "e164": "string",
        "type": "string",
        "value": "string",
        "verified": true
      }
    ],
    "provider": "string"
  },
  "credits_used": 0,
  "providers_used": [
    "string"
  ],
  "research": {
    "citations": [
      "string"
    ],
    "confidence": "string",
    "coverage_note": "string",
    "employer_guess": "string",
    "role_signals": [
      "string"
    ],
    "summary": "string",
    "tier": "string",
    "wealth_signals": [
      {
        "signal": "string",
        "source": "string",
        "weight": 0.1
      }
    ]
  },
  "steps": [
    {
      "outcome": "string",
      "step": "string"
    }
  ]
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}